package emacs-snapshot 1:20090320-1ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 1

Bug #365805 reported by Ignas Mikalajūnas on 2009-04-24
This bug report is a duplicate of:  Bug #239739: haxe-mode.el does not install cleanly. Edit Remove
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
haxe (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: emacs-snapshot

Tried installing emacs-snapshot and got:

Byte-compiling add-on packages, please wait... failed.

!! Byte-compilation for emacs-snapshot failed!
!! This indicates a bug in one of the add-on packages
!! installed on your system, or a bug in Emacs itself.
!! Please file a bug report against emacs-snapshot
!! and attach the file /tmp/emacs-snapshot.zgdVEd
dpkg: error processing emacs-snapshot (--configure):
 subprocess post-installation script returned error exit status 1
Processing triggers for menu ...
Errors were encountered while processing:
 emacs-snapshot
E: Sub-process /usr/bin/dpkg returned an error code (1)

the log file is attached.

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 9.04
ErrorMessage: subprocess post-installation script returned error exit status 1
Package: emacs-snapshot 1:20090320-1ubuntu1
SourcePackage: emacs-snapshot
Title: package emacs-snapshot 1:20090320-1ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 1
Uname: Linux 2.6.28-11-generic i686

Ignas Mikalajūnas (ignas) wrote :
Jack Moffitt (metajack) wrote :

I've run into this as well.

apc (fanbin103) wrote :

same here

/tmp/emacs-snapshot.xrZYaC

emacs-install emacs-snapshot
install/auctex: Setting up for emacs-snapshot (log file: /usr/share/emacs-snapshot/site-lisp/auctex//CompilationLog)... touch: failed to get attributes of `configure': No such file or directory
emacs-install: /usr/lib/emacsen-common/packages/install/auctex emacs-snapshot emacs22 failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 13.

era (era) wrote :

The error log indicates that the problem is in the haxe package. Reassigning accordingly.

Commenters: your problems are probably due to a different root cause. The "failed to install/upgrade" problem could be caused by any locally installed Emacs extension, or a problem in Emacs itself. We need more information (typically, at least the contents of /var/log/apt/term.log) in order to investigate your problems. If you still experience them, you should probably file a separate bug report.

affects: emacs-snapshot (Ubuntu) → haxe (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers